## ManetteMonitor ManetteMonitor — An object monitoring the availability of devices |

## Functions

ManetteMonitor * | manette_monitor_new ()
ManetteMonitorIter * | manette_monitor_iterate ()

## Signals

void | device-connected | Run Last
void | device-disconnected | Run Last

## Types and Values

#define | MANETTE_TYPE_MONITOR
| ManetteMonitor

## Object Hierarchy

        GObject
        ╰── ManetteMonitor

## Includes

    #include <src/libmanette.h>

## Description

## Functions

### manette_monitor_new ()

    ManetteMonitor *
    manette_monitor_new (void);

Creates a new ManetteMonitor object.

#### Returns

a new ManetteMonitor.

[transfer full]

### manette_monitor_iterate ()

    ManetteMonitorIter *
    manette_monitor_iterate (ManetteMonitor *self);

Creates a new ManetteMonitorIter iterating on `self` .

#### Parameters

self | a ManetteMonitor |

#### Returns

a new ManetteMonitorIter iterating on `self` .

[transfer full]

## Types and Values

### MANETTE_TYPE_MONITOR

    #define MANETTE_TYPE_MONITOR (manette_monitor_get_type())

### ManetteMonitor

    typedef struct _ManetteMonitor ManetteMonitor;

## Signal Details

### The `“device-connected”` signal

    void
    user_function (ManetteMonitor *self,
                   ManetteDevice  *device,
                   gpointer        user_data)

Emitted when a device is connected.

#### Parameters

self | a ManetteMonitor |
device | a ManetteDevice |
user_data | user data set when the signal handler was connected. |

Flags: Run Last

### The `“device-disconnected”` signal

    void
    user_function (ManetteMonitor *self,
                   ManetteDevice  *device,
                   gpointer        user_data)

Emitted when a device is disconnected.

#### Parameters

self | a ManetteMonitor |
device | a ManetteDevice |
user_data | user data set when the signal handler was connected. |

Flags: Run Last

## See Also

ManetteDevice